package com.fdkankan.scene.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fdkankan.common.constant.RecStatus;
import com.fdkankan.common.constant.TbStatus;
import com.fdkankan.scene.entity.SceneCooperation;
import com.fdkankan.scene.entity.SceneDataDownload;
import com.fdkankan.scene.mapper.ISceneDataDownloadMapper;
import com.fdkankan.scene.service.ISceneDataDownloadService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 安居客场景数据下载 服务实现类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
@Service
public class SceneDataDownloadServiceImpl extends ServiceImpl<ISceneDataDownloadMapper, SceneDataDownload> implements ISceneDataDownloadService {

    @Override
    public SceneDataDownload findBySceneNum(String sceneNum) {

        List<SceneDataDownload> list = this.list(new LambdaQueryWrapper<SceneDataDownload>()
                .eq(SceneDataDownload::getTbStatus, TbStatus.VALID.code())
                .eq(SceneDataDownload::getNum, sceneNum)
                .orderByDesc(SceneDataDownload::getId));
        if(CollUtil.isEmpty(list)){
            return null;
        }
        return list.get(0);
    }
}
